%define _disable_ld_no_undefined 1

%define major     3
%define libname   %mklibname vde %major
%define develname %mklibname vde -d

Name:		vde2
Version:	2.3.2
Release:	%mkrel 19
Summary:	Virtual Distributed Ethernet
# some files are under GPLv2 only
License:	GPLv2 and GPLv2+
Group:		Networking/Other
Url:		https://vde.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/vde/%{name}-%{version}.tar.bz2
Source1:	README.mageia
# Build fixes
# to send upstream
Patch0:		vde-2.2.2-string-format.patch
# from debian
Patch1:		vde_cryptcab-compile-against-openssl-1.1.0.patch
# C99 violation fix
Patch2:		vde2-C99.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	libpcap-devel

Provides:	vde = %{version}-%{release}

%description
VDE is a virtual network that can be spawned over a set of physical
computer over the Internet

VDE connects together:
  (1) real GNU-linux boxes (tuntap)
  (2) virtual machines: UML-User Mode Linux, qemu, bochs, MPS.

VDE can be used:
  (i) to create a general purpose tunnel (every protocol that runs
    on a Ethernet can be put into the tunnel)
  (ii) to connect a set of virtual machine to the Internet with no
    need of free access of tuntap
  (iii) to support mobility: a VDE can stay interconnected despite
    of the change of virtual cables, i.e. the change of IP addresses
    and interface in the real world

%package -n %{libname}
Summary:	VDE libraries
Group:		Networking/Other

%description -n %{libname}
Library files for VDE.

%package -n %{develname}
Summary:	VDE development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	vde-devel = %{version}-%{release}
Provides:	libvde-devel = %{version}-%{release}
Provides:	libvde2-devel = %{version}-%{release}
Provides:	%{_lib}vde2-devel = %{version}-%{release}

%description -n %{develname}
Development files (headers, libraries) for libvde.

%prep
%setup -q
%patch -P 0 -p0 -b .strfmt
%patch -P 1 -p1 -b .openssl11
%patch -P 2 -p1 -b .c99
cp %SOURCE1 .

%build
autoreconf -fi
%configure --disable-python
# does not work on make -j 24
make

%install
%make_install

%files
%{_bindir}/*
%{_sbindir}/vde_tunctl
%{_libexecdir}/vdetap
%doc README README.mageia
%{_mandir}/man*/*.*
%{_sysconfdir}/vde2/libvdemgmt/asyncrecv.rc
%{_sysconfdir}/vde2/libvdemgmt/closemachine.rc
%{_sysconfdir}/vde2/libvdemgmt/openmachine.rc
%{_sysconfdir}/vde2/libvdemgmt/sendcmd.rc
%{_sysconfdir}/vde2/vdecmd
%{_libdir}/vde2/libvde*.so
%{_libdir}/vde2/vde_l3/bfifo.so
%{_libdir}/vde2/vde_l3/pfifo.so
%{_libdir}/vde2/vde_l3/tbf.so

%files -n %{libname}
# use this to make sure that the major is properly incremented
# not fool proof however
%{_libdir}/libvdeplug.so.%major.*
%{_libdir}/libvdeplug.so.%major
%{_libdir}/libvdehist.so.*
%{_libdir}/libvdesnmp.so.*
%{_libdir}/libvdemgmt.so.*

%files -n %{develname}
%{_includedir}/libvde*.h
%{_libdir}/libvde*.so
%{_libdir}/libvde*.*a
%{_libdir}/vde2/libvde*.*a
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Nov 01 2024 daviddavid <daviddavid> 2.3.2-19.mga10
+ Revision: 2112112
- add patch to fix build with GCC 14

* Tue Mar 29 2022 umeabot <umeabot> 2.3.2-18.mga9
+ Revision: 1831305
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 2.3.2-17.mga9
+ Revision: 1790025
- fix files list
+ wally <wally>
- rebuild for openssl 3.0.0

* Wed Apr 15 2020 danf <danf> 2.3.2-15.mga8
+ Revision: 1567640
- Drop the python-vde subpackage
- it's not Python 3 compatible and development has stopped upstream
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.3.2-14.mga7
+ Revision: 1301574
- Mageia 7 Mass Rebuild

* Tue Sep 05 2017 cjw <cjw> 2.3.2-13.mga7
+ Revision: 1151403
- patch1 (from debian): fix build with openssl 1.1

* Mon Feb 01 2016 umeabot <umeabot> 2.3.2-12.mga6
+ Revision: 929847
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.2-11.mga5
+ Revision: 745220
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.3.2-10.mga5
+ Revision: 730701
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.3.2-9.mga5
+ Revision: 690139
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 2.3.2-7.mga4
+ Revision: 519947
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-6.mga3
+ Revision: 385244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 2.3.2-5.mga3
+ Revision: 337469
- Fix for _libdir != _libexecdir

* Sat Apr 07 2012 misc <misc> 2.3.2-4.mga2
+ Revision: 229498
- add Obsoletes to have a smoother upgrade
- undo funda last changes

* Sat Apr 07 2012 fwang <fwang> 2.3.2-3.mga2
+ Revision: 229486
- split libs, so that it upgrade smoothly from mga1

* Mon Mar 05 2012 misc <misc> 2.3.2-2.mga2
+ Revision: 219368
- fix major for libvde
- add a macro for the library major

* Mon Mar 05 2012 misc <misc> 2.3.2-1.mga2
+ Revision: 219074
- add python module sub rpm
- add some BR for missing features
- disable make -j 24 as it seems to not work fine
- new version 2.3.2
- rediff patch for format string
- drop patch for linking, not needed anymore

* Sun May 08 2011 cjw <cjw> 2.2.3-1.mga2
+ Revision: 96292
- 2.2.3 (fixes #1084)
- update patch1 + run autoreconf instead of patching Makefile.in

* Sat Apr 30 2011 misc <misc> 2.2.2-5.mga1
+ Revision: 93823
- fix License
- increase Release to match the one of mdv

* Mon Mar 07 2011 saispo <saispo> 2.2.2-1.mga1
+ Revision: 65919
- Back on vde2 2.2.2
- Back on vde2 2.2.2
+ misc <misc>
- update to 2.3.1
- remove patch 2, not needed
- update patch 1, and send it upstream
- add patch3, to fix another linking issue
- remove old Obsoletes
- fix revision
- imported package vde2


* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 2.2.2-5mdv2011.0
+ Revision: 579333
- add requires on lib package

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-4mdv2010.1
+ Revision: 521165
- rebuilt for 2010.1

* Sat Oct 03 2009 Funda Wang <fwang@mandriva.org> 2.2.2-3mdv2010.0
+ Revision: 453243
- move module into main package
- fix linking

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Tue Feb 24 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-1mdv2009.1
+ Revision: 344592
- Update to new version 2.2.2
- Add patches to fix build (adds limits.h includes for PATH_MAX,
  fix building with -Werror=format and fix linkage issue with
  --no-undefined and --as-needed)
- Clean up SPEC file
- Don't add major in devel subpackage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.1.6-1mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.6-1mdv2008.0
+ Revision: 26390
- Import vde2

